> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superbank.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Transition a settlement request status (sandbox only)

> Simulate a settlement request status transition. Triggers outbound webhooks and realtime updates.



## OpenAPI

````yaml /openapi/v0/openapi.json patch /v0/sandbox/settlement-requests/{id}/status
openapi: 3.0.0
info:
  title: Superbank API
  description: Superbank Developer API for Instant Settlement
  version: '1.0'
  contact: {}
servers:
  - url: https://api-sandbox.superbank.co
    description: Sandbox
security: []
tags: []
paths:
  /v0/sandbox/settlement-requests/{id}/status:
    patch:
      tags:
        - Sandbox
      summary: Transition a settlement request status (sandbox only)
      description: >-
        Simulate a settlement request status transition. Triggers outbound
        webhooks and realtime updates.
      operationId: SandboxController_transitionSettlementStatus
      parameters:
        - name: id
          required: true
          in: path
          description: Settlement request ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransitionSettlementStatusDto'
      responses:
        '200':
          description: Settlement request status transitioned
        '404':
          description: Settlement request not found
      security:
        - api-key: []
components:
  schemas:
    TransitionSettlementStatusDto:
      type: object
      properties:
        status:
          type: string
          description: The target settlement request status
          enum:
            - REQUEST_STARTED
            - REQUEST_EXPIRED
            - REQUEST_CANCELED
            - REQUEST_COMPLETED
            - REQUEST_REFUNDED
            - FUNDS_SENT
            - FUNDS_RECEIVING_LATE
            - SETTLEMENT_SENT
            - SETTLEMENT_COMPLETED
            - AWAITING_PAYIN_RECONCILIATION
            - PAYIN_CANCELED
            - PAYIN_UNDER_REVIEW
            - PAYIN_FAILED
            - PAYIN_AMOUNT_MISMATCH
            - PAYOUT_CANCELED
            - PAYOUT_UNDER_REVIEW
            - PAYOUT_FAILED
          example: SETTLEMENT_COMPLETED
        failure_reason:
          type: string
          description: Reason for failure (when transitioning to a failure status)
          example: Payment rejected by provider
      required:
        - status
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-Api-Key

````